EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetImage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DockerImages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker image with the specified tag or digest.'
GO

IF OBJECT_ID('[DockerImages_GetImage]') IS NOT NULL DROP PROCEDURE [DockerImages_GetImage]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetImage]
(
	@Feed_Id INT,
	@Repository_Name VARCHAR(255),
	@TagOrDigest_Name VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerImages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Repository_Name] = @Repository_Name
	   AND [Image_Digest] = @TagOrDigest_Name

	UNION

	SELECT DI.*
	  FROM [DockerImageTags] DIT
	       INNER JOIN [DockerImages] DI
		           ON DI.[Feed_Id] = DIT.[Feed_Id]
				  AND DI.[Repository_Name] = DIT.[Repository_Name]
				  AND DI.[Image_Digest] = DIT.[Image_Digest]
	 WHERE DIT.[Feed_Id] = @Feed_Id
	   AND DIT.[Repository_Name] = @Repository_Name
	   AND DIT.[Tag_Name] = @TagOrDigest_Name

END
GO

GRANT EXECUTE ON [DockerImages_GetImage] TO [ProGetUser_Role]
GO