EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Licenses_DeleteLicense',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a license and any associated rules.'
GO

IF OBJECT_ID('[Licenses_DeleteLicense]') IS NOT NULL DROP PROCEDURE [Licenses_DeleteLicense]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Licenses_DeleteLicense]
(
	@License_Id INT
) AS
BEGIN

SET NOCOUNT ON

BEGIN TRY

	DELETE FROM [Licenses]
	 WHERE [License_Id] = @License_Id

END TRY BEGIN CATCH
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Licenses_DeleteLicense] TO [ProGetUser_Role]