EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackages_GetFeedSyncPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the packages to be considered for feed sync operations.'
GO

IF OBJECT_ID('[NuGetPackages_GetFeedSyncPackages]') IS NOT NULL DROP PROCEDURE [NuGetPackages_GetFeedSyncPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackages_GetFeedSyncPackages]
(
	@Feed_Id INT,
	@Since_Date DATETIME = NULL
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [NuGetPackages_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Since_Date IS NULL OR [Published_Date] >= @Since_Date)

END
GO

GRANT EXECUTE ON [NuGetPackages_GetFeedSyncPackages] TO [ProGetUser_Role]
GO
